VisualEditor: Ctrl-Alt-s / ⌘-Opt-s should trigger the save dialog, and the save button when inside said dialog
Closed, ResolvedPublic

Description

In the old editor, you could hit ctrl-alt-s to save the page. In the new editor the save action is not reachable using the keyboard.

We could just add ctrl-s/cmd-s to the Save button ?


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=38042
https://bugzilla.wikimedia.org/show_bug.cgi?id=50047

bzimport set Reference to bz50897.
TheDJ created this task.Via LegacyJul 7 2013, 8:27 PM
Jdforrester-WMF added a comment.Via ConduitJul 7 2013, 9:00 PM

I think taking over ctrl-s/⌘-s which is already used by every browser for a different task (local save of rendered HTML) is a bit rude; I'd suggest just implementing the same keyboard shortcut.

bzimport added a comment.Via ConduitJul 10 2013, 6:21 PM

sk8er_97456 wrote:

In the old editor, I would simply use TAB to reach the edit summary, type my edit summary and press ENTER to activate the "Save page" button and save. If I wanted to mark the edit minor, then I could type my edit summary, press TAB, SPACE, and then ENTER to "Save page".

I can see that the new box for entering an edit summary allows newlines to be entered. I am not sure this is a good idea, because I just used a WSYIWYG editor and now "What I see" - well-formatted paragraphs describing my edit - is not going to be "what I get" - everything smashed on one line in the article history. But that is perhaps grist for another bug mill.

It seems that the "Save page" button never receives caret focus if I use TAB to try to get there. This would seem to have accessibility ramifications.

Thryduulf added a comment.Via ConduitJul 21 2013, 2:35 PM

This seems similar to bug 38042. They're not identical but definitely related and they could possibly be usefully fixed at the same time.

MZMcBride added a comment.Via ConduitJul 24 2013, 1:50 AM

(In reply to comment #2)

In the old editor, I would simply use TAB to reach the edit summary, type my
edit summary and press ENTER to activate the "Save page" button and save. If
I wanted to mark the edit minor, then I could type my edit summary, press TAB,
SPACE, and then ENTER to "Save page".

Yeah... I split this out to bug 51918.

John_Broughton added a comment.Via ConduitJul 24 2013, 5:46 PM

Having shortcuts for Show preview/Review your changes, and for Save page (two different buttons, so if one shortcut is used for both, VE needs to check whether it is on the main page or in a dialog box), would certainly be helpful. To quote the WMF Deputy Director: "It's worth noting that VisualEditor has its own set of keyboard shortcuts, which can help with common tasks such as linking (which I actually already find faster in VE) ..."

And yes, there is also the accessibility issue - anything that can *only* be done by mouse is, by definition, an immovable problem to a physically disabled person who can only use a keyboard.

Jdforrester-WMF added a comment.Via ConduitAug 29 2013, 10:14 PM
  • Bug 52745 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitSep 3 2013, 3:56 PM
  • Bug 53693 has been marked as a duplicate of this bug. ***
Whatamidoing-WMF added a comment.Via ConduitSep 9 2013, 9:35 PM

I don't have any particularly strong views about the right way to do this, but I really want to be able to open the page in VisualEditor, make a small change to the text, and save the page, without ever taking my hands off the keyboard.

Krenair added a comment.Via ConduitJan 30 2014, 6:55 PM

Trying to use accesskey=s like action=edit will make this conflict with FlaggedRevs, which doesn't appear on action=edit but does on veaction=edit (with display:none).

gerritbot added a comment.Via ConduitJan 30 2014, 7:39 PM

Change 110434 had a related patch set uploaded by Alex Monk:
Use accesskey=s on the save buttons

https://gerrit.wikimedia.org/r/110434

gerritbot added a comment.Via ConduitFeb 14 2014, 1:48 AM

Change 113319 had a related patch set uploaded by Alex Monk:
Add save shortcut to dialog

https://gerrit.wikimedia.org/r/113319

gerritbot added a comment.Via ConduitFeb 14 2014, 4:51 PM

Change 113319 abandoned by Esanders:
Add save shortcut to dialog

Reason:
ALT+S is MediaWiki only, abandoning in favour of Idf4fa31b98d1fa9e

https://gerrit.wikimedia.org/r/113319

gerritbot added a comment.Via ConduitFeb 19 2014, 9:42 PM

Change 110434 merged by jenkins-bot:
Use accesskey=s on the save buttons

https://gerrit.wikimedia.org/r/110434

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.